/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.sample.csv.record;

import java.math.BigDecimal;
import java.util.Date;

/**
 * blancoCsvファイル定義書から作成されたレコードクラス<br>
 * ファイル定義[BlancoCsvSample/このクラスは単にサンプルです。実際の動作には利用されません。]のレコードクラス
 */
public class BlancoCsvSampleCsvRecord {
    /**
     * フィールド [field_1]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [試験]<br>
     * 項目番号: 1<br>
     * 項目の説明: フィールド1<br>
     * MIN長さ: 1<br>
     * MAX長さ: 10
     */
    private String fField1 = "試験";

    /**
     * フィールド [field_2]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [テスト]<br>
     * 項目番号: 2<br>
     * 項目の説明: フィールド2<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 4<br>
     * MAX長さ: 4
     */
    private String fField2 = "テスト";

    /**
     * フィールド [field_3]
     *
     * 項目の型 [java.lang.Integer]<br>
     * 項目番号: 3<br>
     * 項目の説明: フィールド3<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     */
    private Integer fField3;

    /**
     * フィールド [field_4]
     *
     * 項目の型 [java.lang.Long]<br>
     * 規定値   [10]<br>
     * 項目番号: 4<br>
     * 項目の説明: フィールド4<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     */
    private Long fField4 = new Long(10);

    /**
     * フィールド [field_5]
     *
     * 項目の型 [java.util.Date]<br>
     * 項目番号: 5<br>
     * 項目の説明: フィールド5
     */
    private Date fField5;

    /**
     * フィールド [field_6]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 項目番号: 6<br>
     * 項目の説明: フィールド6<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     */
    private BigDecimal fField6;

    /**
     * フィールド [field_11]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目の説明: フィールド11<br>
     * 必須項目
     */
    private String fField11;

    /**
     * フィールド [field_12]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目の説明: フィールド12<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * 必須項目
     */
    private String fField12;

    /**
     * フィールド [field_13]
     *
     * 項目の型 [int]<br>
     * 項目の説明: フィールド13<br>
     * 必須項目
     */
    private int fField13;

    /**
     * フィールド [field_14]
     *
     * 項目の型 [long]<br>
     * 項目の説明: フィールド14<br>
     * 必須項目
     */
    private long fField14;

    /**
     * フィールド [field_15]
     *
     * 項目の型 [java.util.Date]<br>
     * 項目の説明: フィールド15<br>
     * 必須項目
     */
    private Date fField15;

    /**
     * フィールド [field_16]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 項目の説明: フィールド16<br>
     * 必須項目
     */
    private BigDecimal fField16;

    /**
     * フィールド [field_1]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 1<br>
     * 項目の説明: フィールド1<br>
     * MIN長さ: 1<br>
     * MAX長さ: 10
     *
     * @param argField1 フィールド[field_1]に格納したい値
     */
    public void setField1(final String argField1) {
        fField1 = argField1;
    }

    /**
     * フィールド[field_1]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [試験]<br>
     * 項目番号: 1<br>
     * 項目の説明: フィールド1<br>
     * MIN長さ: 1<br>
     * MAX長さ: 10
     *
     * @return フィールド[field_1]に格納されている値
     */
    public String getField1() {
        return fField1;
    }

    /**
     * フィールド [field_2]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号: 2<br>
     * 項目の説明: フィールド2<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 4<br>
     * MAX長さ: 4
     *
     * @param argField2 フィールド[field_2]に格納したい値
     */
    public void setField2(final String argField2) {
        fField2 = argField2;
    }

    /**
     * フィールド[field_2]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [テスト]<br>
     * 項目番号: 2<br>
     * 項目の説明: フィールド2<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * MIN長さ: 4<br>
     * MAX長さ: 4
     *
     * @return フィールド[field_2]に格納されている値
     */
    public String getField2() {
        return fField2;
    }

    /**
     * フィールド [field_3]のセッターメソッド
     *
     * 項目の型 [java.lang.Integer]<br>
     * 項目番号: 3<br>
     * 項目の説明: フィールド3<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     *
     * @param argField3 フィールド[field_3]に格納したい値
     */
    public void setField3(final Integer argField3) {
        fField3 = argField3;
    }

    /**
     * フィールド[field_3]のゲッターメソッド
     *
     * 項目の型 [java.lang.Integer]<br>
     * 項目番号: 3<br>
     * 項目の説明: フィールド3<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     *
     * @return フィールド[field_3]に格納されている値
     */
    public Integer getField3() {
        return fField3;
    }

    /**
     * フィールド [field_4]のセッターメソッド
     *
     * 項目の型 [java.lang.Long]<br>
     * 項目番号: 4<br>
     * 項目の説明: フィールド4<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     *
     * @param argField4 フィールド[field_4]に格納したい値
     */
    public void setField4(final Long argField4) {
        fField4 = argField4;
    }

    /**
     * フィールド[field_4]のゲッターメソッド
     *
     * 項目の型 [java.lang.Long]<br>
     * 規定値   [10]<br>
     * 項目番号: 4<br>
     * 項目の説明: フィールド4<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     *
     * @return フィールド[field_4]に格納されている値
     */
    public Long getField4() {
        return fField4;
    }

    /**
     * フィールド [field_5]のセッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 項目番号: 5<br>
     * 項目の説明: フィールド5
     *
     * @param argField5 フィールド[field_5]に格納したい値
     */
    public void setField5(final Date argField5) {
        fField5 = argField5;
    }

    /**
     * フィールド[field_5]のゲッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 項目番号: 5<br>
     * 項目の説明: フィールド5
     *
     * @return フィールド[field_5]に格納されている値
     */
    public Date getField5() {
        return fField5;
    }

    /**
     * フィールド [field_6]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 項目番号: 6<br>
     * 項目の説明: フィールド6<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     *
     * @param argField6 フィールド[field_6]に格納したい値
     */
    public void setField6(final BigDecimal argField6) {
        fField6 = argField6;
    }

    /**
     * フィールド[field_6]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 項目番号: 6<br>
     * 項目の説明: フィールド6<br>
     * MIN長さ: 1<br>
     * MAX長さ: 3
     *
     * @return フィールド[field_6]に格納されている値
     */
    public BigDecimal getField6() {
        return fField6;
    }

    /**
     * フィールド [field_11]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目の説明: フィールド11<br>
     * 必須項目
     *
     * @param argField11 フィールド[field_11]に格納したい値
     */
    public void setField11(final String argField11) {
        fField11 = argField11;
    }

    /**
     * フィールド[field_11]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目の説明: フィールド11<br>
     * 必須項目
     *
     * @return フィールド[field_11]に格納されている値
     */
    public String getField11() {
        return fField11;
    }

    /**
     * フィールド [field_12]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目の説明: フィールド12<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * 必須項目
     *
     * @param argField12 フィールド[field_12]に格納したい値
     */
    public void setField12(final String argField12) {
        fField12 = argField12;
    }

    /**
     * フィールド[field_12]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目の説明: フィールド12<br>
     * 文字列はダブルクオート処理されて入出力されます。<br>
     * 必須項目
     *
     * @return フィールド[field_12]に格納されている値
     */
    public String getField12() {
        return fField12;
    }

    /**
     * フィールド [field_13]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * 項目の説明: フィールド13<br>
     * 必須項目
     *
     * @param argField13 フィールド[field_13]に格納したい値
     */
    public void setField13(final int argField13) {
        fField13 = argField13;
    }

    /**
     * フィールド[field_13]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 項目の説明: フィールド13<br>
     * 必須項目
     *
     * @return フィールド[field_13]に格納されている値
     */
    public int getField13() {
        return fField13;
    }

    /**
     * フィールド [field_14]のセッターメソッド
     *
     * 項目の型 [long]<br>
     * 項目の説明: フィールド14<br>
     * 必須項目
     *
     * @param argField14 フィールド[field_14]に格納したい値
     */
    public void setField14(final long argField14) {
        fField14 = argField14;
    }

    /**
     * フィールド[field_14]のゲッターメソッド
     *
     * 項目の型 [long]<br>
     * 項目の説明: フィールド14<br>
     * 必須項目
     *
     * @return フィールド[field_14]に格納されている値
     */
    public long getField14() {
        return fField14;
    }

    /**
     * フィールド [field_15]のセッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 項目の説明: フィールド15<br>
     * 必須項目
     *
     * @param argField15 フィールド[field_15]に格納したい値
     */
    public void setField15(final Date argField15) {
        fField15 = argField15;
    }

    /**
     * フィールド[field_15]のゲッターメソッド
     *
     * 項目の型 [java.util.Date]<br>
     * 項目の説明: フィールド15<br>
     * 必須項目
     *
     * @return フィールド[field_15]に格納されている値
     */
    public Date getField15() {
        return fField15;
    }

    /**
     * フィールド [field_16]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 項目の説明: フィールド16<br>
     * 必須項目
     *
     * @param argField16 フィールド[field_16]に格納したい値
     */
    public void setField16(final BigDecimal argField16) {
        fField16 = argField16;
    }

    /**
     * フィールド[field_16]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     * 項目の説明: フィールド16<br>
     * 必須項目
     *
     * @return フィールド[field_16]に格納されている値
     */
    public BigDecimal getField16() {
        return fField16;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.csv.record.BlancoCsvSampleCsvRecord[");
        buf.append("field_1=" + fField1);
        buf.append(",field_2=" + fField2);
        buf.append(",field_3=" + fField3);
        buf.append(",field_4=" + fField4);
        buf.append(",field_5=" + fField5);
        buf.append(",field_6=" + fField6);
        buf.append(",field_11=" + fField11);
        buf.append(",field_12=" + fField12);
        buf.append(",field_13=" + fField13);
        buf.append(",field_14=" + fField14);
        buf.append(",field_15=" + fField15);
        buf.append(",field_16=" + fField16);
        buf.append("]");
        return buf.toString();
    }
}
